<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#eze
# ***** END LICENSE BLOCK *****
#
# Contributor : Troopers (http://l.houdusse.free.fr/blog/)
#

class SmiliesManager
{
	#affiche la liste de smilies (fonction de la version 0.1)
  function smSmiliesList()
  {
  	global $__theme;
  	
  	$smilies_path = (dc_app_url.'/themes/'.$__theme.'/smilies/');
    $def_path = $_SERVER['DOCUMENT_ROOT'].$smilies_path.'smilies.txt';
		if (!(file_exists($def_path)))
    {
    	$smilies_path = (dc_app_url.'/themes/default/smilies/');
	    $def_path = $_SERVER['DOCUMENT_ROOT'].$smilies_path.'smilies.txt';
    }
    
    if (dc_use_smilies && file_exists($def_path))
  	{
    	$previous_file = '';
  		$def = file($def_path);
      foreach($def as $v)
  		{
  			$v = trim($v);
        if (preg_match('|^([^\t]*)[\t]+(.*)$|',$v,$matches))
        {
        	$file = $_SERVER['DOCUMENT_ROOT'].'/'.$smilies_path.$matches[2];
  	      if (file_exists($file) && $file<>$previous_file)
  				{
          	$mes = $mes."<img src=\"".$smilies_path.$matches[2]."\" alt=\" ".$matches[1]."\" onclick=\"insertsmilie('".preg_quote($matches[1],'/')."')\" />&nbsp;";
          	$previous_file = $file;
          }
  			}
  		}
  	}
    echo $mes;
  }
  
  #dfinit le script pour la construction de la toolbar
  function smSmiliesToolbar($textarea)
  {
  	global $__theme;
    
    	if (!defined('dc_sm_ecrire_path')) {
    		// Dtermine le nom du rpertoire "ecrire" pour les configurations non standards.
    		$dcSMPath = realpath( dirname(__FILE__) . '/../..' );
    		$dcSMPath = str_replace('\\','/', $dcSMPath);
		define('dc_sm_ecrire_path', substr($dcSMPath, strrpos($dcSMPath,'/') + 1));
    	}

    if($__theme=='')
    	$theme=dc_theme;
    else
    	$theme=$__theme;
      
  	$smilies_path = dc_app_url.'/themes/'.$theme.'/smilies/';
    $def_path = $_SERVER['DOCUMENT_ROOT'].$smilies_path.'smilies.txt';
    
	if (!(file_exists($def_path))) {
    	    $smilies_path = dc_app_url.'/themes/default/smilies/';
	    $def_path = $_SERVER['DOCUMENT_ROOT'].$smilies_path.'smilies.txt';
        }
    
    if (dc_use_smilies && file_exists($def_path))
  	{
    	
    	echo "\r\n<script type=\"text/javascript\" src=\"".dc_app_url."/" . dc_sm_ecrire_path . "/tools/smiliesmanager/js/toolbar.js\"></script>\r\n".
			"<script type=\"text/javascript\">\r\n".
  		"\tif (document.getElementById) {\r\n".
  		"\t\tvar tbSmilies = new smToolBar(document.getElementById('".$textarea."'),'".$smilies_path."');\r\n";
  		
    	$previous_file = '';
  		$def = file($def_path);
      foreach($def as $v)
  		{
  			$v = trim($v);
        if (preg_match('|^([^\t]*)[\t]+(.*)$|',$v,$matches))
        {
        	$file = $_SERVER['DOCUMENT_ROOT'].'/'.$smilies_path.$matches[2];
          if (file_exists($file) && $file<>$previous_file)
  				{
          	echo "\t\ttbSmilies.addSmiley('".$matches[2]."','".$matches[1]."','".preg_quote($matches[1],'/')."');\r\n";
            $previous_file = $file;
          }
  			}
  		}
      echo "\t\ttbSmilies.draw('".str_replace("'","\'",__('Vous pouvez utiliser les binettes ci-dessous :'))."');\r\n".
			"\t}\r\n".
			"</script>\r\n";
  	}
  }
}
?>